# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.geo
Interface Point

All Superinterfaces:
  Extension

All Known Implementing Classes:
  GeoRssPoint, GeoRssWhere, GmlLowerCorner, GmlPoint, GmlPos, GmlUpperCorner, PointConstruct, W3CPoint

    public interface Point

extends Extension

Interface for specifying a point that describes some geographic location. Each point should have a latitude and longitude coordinate

Method Summary
`java.lang.Double` `getLatitude()`
`java.lang.Double` `getLongitude()`
`void` `setGeoLocation(java.lang.Double lat, java.lang.Double lon)` Sets the latitude and longitude coordinates of this Point.

Methods inherited from interface com.google.gdata.data.Extension
`generate, getHandler`

Method Detail

### getLatitude

    java.lang.Double getLatitude()

  Returns:
    the value of latitude coordinate of this Point.

### getLongitude

    java.lang.Double getLongitude()

  Returns:
    the value of the longitude coordinate of this Point.

### setGeoLocation

    void setGeoLocation(java.lang.Double lat,
                        java.lang.Double lon)

  Sets the latitude and longitude coordinates of this Point. Either both lat and lon must be non-null, or both must be null. Implementations will throw an IllegalArgumentException if only one is null and one is not. They will also throw an IllegalArgumentException if either of the lat values is outside the valid range.

  Parameters:
    `lat` - The latitude in degrees, from -90 to 90.
    `lon` - The longitude in degrees, from -180 to 180.
  Throws:
    `java.lang.IllegalArgumentException` - if either lat or lon values are invalid, or if one of them is null and the other non-null.